using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/* notes on appref-ms http://blogs.msdn.com/saurabh/archive/2006/03/02/541988.aspx
 *  - these need to be served as application/octetstream MIME type
 */

namespace ProjectName
{
    public partial class InstallInstruction : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // hide all the panels
            wpfAvailablePanel.Visible = false;
            nonIEWindowsPanel.Visible = false;
            fallbackPanel.Visible = false;
            noWPFIEPanel.Visible = false;
            nonIEWPFWindowsVersionPanel.Visible = false;

            // get the browser capabilities
            WpfBrowserCapabilites capabilities = new WpfBrowserCapabilites();

            if (capabilities.IsWindowsClient)
            {
                if (capabilities.IsIEBrowser)
                {
                    if (capabilities.IsWPFAvailable)
                    {
                        // WPF is present - allow the user to launch with a link to the .application, or setup.exe
                        wpfAvailablePanel.Visible = true;
                    }
                    else if (capabilities.WindowsClientVersionCanSupportWpf)
                    {
                        // show link to install .NET 3 and then a link to launch the .application
                        noWPFIEPanel.Visible = false;
                    }
                    else
                    {
                        // fallback
                        fallbackPanel.Visible = true;
                    }
                }
                else
                {
                    if (capabilities.IsWPFAvailable)
                    {
                        // based on the windows version WPF should be present - link to the .appref-ms
                        nonIEWPFWindowsVersionPanel.Visible = true;
                    }
                    else if (capabilities.WindowsClientVersionCanSupportWpf)
                    {
                        // show link to install .NET 3 and then a link to launch the appref-ms
                        nonIEWindowsPanel.Visible = true;
                    }
                    else
                    {
                        // fallback
                        fallbackPanel.Visible = true;
                    }
                }
            }
            else
            {
                // give the user the option to try and download - we may not have indentified the client properly
                fallbackPanel.Visible = true;
            }
        }

    }
}